Quel cms pour les qcm?

Bonjour à tous,
Dans le cadre de la continuité pédagogique notamment je suis à la recherche d’un logiciel ou mieux d’un cms à héberger sur yunohost permettant de faire des qcm sur pc, sur téléphone ou sur papier avec correction automatique par scanner.
Pour explicité davantage ma demande voici quelques éléments supplémentaires. Je suis en lycée et j’enseigne les sciences de l’ingénieur. Nous avons les classiques atrium, pronote et moodle à notre disposition. Mais tous ces ENT ne sont pas satisfaisant car le soucis c’est que nous sommes limités par la taille des fichiers et également par la mise à jour d’extensions récentes pour moodle. En effet dans nos matières nous avons beaucoup de fichiers images et CAO et ils sont systématiquement refusés par ces plateformes au vue de leur taille. C’est pourquoi j’ai mis en place un site personnel à base de wordpress et de ouwncloud. Mais il me reste à gérer les qcm avec mon site web.
Vous trouverez ci-dessous l’état de ma recherche actuelle et je serais très heureux si vous aviez des pistes de solutions à me proposer de préférence hébergeables avec yunohost et son application Custom Webappde

  • Offre internet

J’ai trouvé un site qui répond parfaitement à mes attentes à savoir:


Le soucis sont les rgpd notamment et les serveurs sont aux E.U.
Avec celui-ci on peut faire passer des qcm sur des pc sur des téléphones et en version papier avec une correction pour ce dernier par scanner.

  • Offre papier

Pour une version uniquement papier j’ai trouvé ce logiciel en local qui est parfait

https://www.auto-multiple-choice.net/index.fr

  • Pour les CMS version à distance

  • Offre cms 1
    Limesurvey qui est trop gros de mon point de vue

  • Offre cms 2

https://moodle.org/?lang=fr_ca

Qui de mon point de vue est également trop gros mais qui correspond complètement à mes besoins. J’ai déjà essayé de l’héberger avec yunohost. Je suis presque arrivé au bout de l’installation à l’aide de l’application Custom Webappde de la version de Moodle 3.6.9+ mais malheureusement à cause d’un souci de configuration de nginx particulier à mettre en œuvre cela me faisait perdre mes connexions wordpress et nextcloud et donc je n’ai pas pu mener la configuration à terme.

En vous remerciant pour toutes vos suggestions.

Quid de framaform ou limesurvey tout 2 empaquetés pour YunoHost ?

Bonjour,
J’ai fais l’essai de l’installation de limesurvey pour yunohost mais cela ne fonctionne pas bien et de plus pas forcément adapté au qcm pour une classe. Framaform est une application seulement au niveau 2 empaqueté pour yuno. Ce n’est pas utulisable en production.

L’installation ne fonctionne pas bien OU l’interface est complexe ?
Limesurvey est complexe dans son interface mais par contre est parfaitement adaptés pour des qcm (et bien plus).

Pour framaforms, je me pencherais sur le défaut qui a fait tomber framaforms en niveau 2 dés que j’aurais traité les urgences d’aujourd’hui.

Pour framaforms d’après les tests, l’upgrade a été testé comme non fonctionnel à partir du 17/12 visiblement parce qu’il y a eu un changement externe sur l’outil drush qui permet de faire l’upgrade.
Mais bon globalement, c’est juste que l’upgrade est bloqué pour l’instant, tout le reste est ok.

cf https://ci-apps.yunohost.org/ci/job/6137

Bonsoir,
Je viens de faire une nouvelle installation pour limesurvey. Effectivement après avoir mis à la fin de mon url:
/admin/
Cela fonctionne merci.
Mais après exploration la possibilité de correction papier avec scanner n’est pas traitée. Le site officiel renvoie vers:
https://quexf.acspri.org.au/
Pour l’instant je n’ai pas trouvé un moyen de faire un qcm sur pc ou téléphone ou papier avec correction automatique, sauf moodle mais là je traîne un peu des pieds.

Bonsoir,

J’utilise également plusieurs outils pédagogiques que j’héberge avec YunoHost (WordPress, NextCloud, LSTU, CustomWebApp).

Je peux te conseiller H5P (https://h5p.org/) qui offre beaucoup d’activités différentes dont le QCM et qui est parfaitement adapté aux smartphones de nos élèves. Le plug-in WordPress permettrait d’ajouter cela à tes outils existants :wink:

C’est testé et validé avec les élèves, n’hésites pas si tu as des questions !

Ça à l’air assez génial. Je m’y plonge demain. Merci beaucoup

Oui c’est un outil tout à fait intéressant.
Pour finir je vais installer un moodle car au bout du compte beaucoup d’applications gravitent autour. En utilisant une version adaptée aux paquets yunohost actuels sur un serveur dedibox à l’aide de l’application Custom Webapp. Sur ce serveur ce sera la seule application qui sera installée de façon à éviter les problèmes d’interaction que j’avais rencontré précédemment avec wordpress et nextcloud.
Je vais donc reprendre mes anciens post et les rassembler pour faire un tutoriel d’installation.

Le paquet moodle non répertorié a été mis à jour il y a 2 mois.

Je ne sais pas si il est stable, et n’ai fait aucun test. Ce serait le moment de vérifier, si il y a des volontaires qui ont du temps…

En gros, pour tester le paquet, il faut faire fonctionner package_check quelques part, si le test est ok, et que manuellement vous arrivez à l’utiliser, on pourra le marquer working pour qu’il soit testé par la CI officiel.

Super, merci je suis prêts à tester sur ma nouvelle dedibox dans la journée. Pouvez-vous expliciter la démarche à mettre en œuvre après avoir installer un nouveau serveur yunohost. Je ne sais pas comment installer ce paquet.
Faut-il se connecter en ssh et faire ce qui est proposé à l’adresse du projet en mettant dans le ligne de commande :

$ sudo yunohost app install https://github.com/YunoHost-Apps/moodle_ynh

Ou faut-il simplement en étant dans mon interface d’administration, tout en bas de l’installation des applications dans la rubrique:
Installer une application personnalisée en mettant au-dessus de la rubrique intitulée:
Uniquement depuis GitHub pour l’instant, la ligne de commande:

https://github.com/YunoHost-Apps/moodle_ynh

Ensuite je ne sais pas ce que veut dire " faire fonctionner package_check quelques part". Que faut-il faire?
En vous remerciant pour votre aide et dans l’attente de votre retour.

Les 2 méthodes fonctionnent

Pour package check c’est un peu plus compliqué, à faire la documentation est là:

Merci je vais voir cela. En attendant je ne sais pas si vous avez vu ce post:

Salut,

Je viens de mettre à jour moodle: https://github.com/YunoHost-Apps/moodle_ynh

J’ai testé l’install/remove/backup/restore/upgrade et même l’intégration LDAP :+1:

Avec la version stable de Yunohost ou testing?

Version stable de YunoHost. Il faut peut-être juste attendre un peu le temps que la liste d’applications se mette à jour.
Ou alors l’installer avec:

sudo yunohost app install https://github.com/YunoHost-Apps/moodle_ynh

Je fais cela dès demain merci merci beaucoup ! Sur un serveur vierge

Oui je pars du principe qu’on ne peut pas mettre à jour depuis les anciennes versions parce qu’il manque des éléments aux anciennes versions du package et qu’il n’était pas marqué comme “working”

Bonjour,
Installée à l’instant sous une yunohost 3.7 un petit souci avec ce retour commande:
/bin/bash: BASH_XTRACEFD: 7: invalid value for trace file descriptor
Voilà je me lance dans la configuration de ce LMS

Bonjour un petit soucis la langue de Shakespeare est disponible mais pas celle de Molière.